Bug 125425 - ImageMagick writes broken jpeg files
Summary: ImageMagick writes broken jpeg files
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: ImageMagick   
(Show other bugs)
Version: 2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-06 23:26 UTC by Thomas Sailer
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-11 16:30:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Thomas Sailer 2004-06-06 23:26:41 UTC
Description of problem: 
convert x.tiff y.jpg writes a broken JPEG image. The image is mostly 
black, with some non-black scanlines. 
 
Version-Release number of selected component (if applicable): 
broken: 
ImageMagick-5.5.7.15-1.3 
ImageMagick-5.5.6-5 
ok: 
ImageMagick-5.4.7-10 
 
How reproducible: 
always 
 
Steps to Reproduce: 
1.find a 24bit RGB TIFF file 
2.run convert x.tiff y.jpg  
3.watch y.jpg with your favorite jpeg viewer (or even ImageMagick's 
display) 
   
Actual results: 
Mostly black jpeg image with some nonblack scanlines 
 
Expected results: 
an image similar to the input image 
 
Additional info: 
The bug is in the ImageMagick library, not convert.

Comment 1 Thomas Sailer 2004-06-06 23:35:10 UTC
I just noted that it's not the writing of the JPEG file that is the
problem, but the reading of the TIFF file. identify says:
x.tiff TIFF 1747x2479+0+0 DirectClass 8-bit 1.4mb 0.880u 0:01

Comment 2 Matthias Clasen 2005-04-21 05:38:17 UTC
Does the problem still occur with ImageMagick 6.2 ?

If yes, please attach a problematic image here.

Comment 3 Matthias Clasen 2005-07-11 16:30:23 UTC
Closing FC2 NEEDINFO bugs that have not been updated to FC3/FC4/FC5


Note You need to log in before you can comment on or make changes to this bug.